# File: ast_linter.coffee

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src
Classes: | ASTApi ASTLinter

## Variables Summary

node_children =

      {
        Class: ['variable', 'parent', 'body'],
        Code: ['params', 'body'],
        For: ['body', 'source', 'guard', 'step'],
        If: ['condition', 'body', 'elseBody'],
        Obj: ['properties'],
        Op: ['first', 'second'],
        Switch: ['subject', 'cases', 'otherwise'],
        Try: ['attempt', 'recovery', 'ensure'],
        Value: ['base', 'properties'],
        While: ['condition', 'guard', 'body']
      }

## Method Summary

- ~ (void) hasChildren(node, children)

## Method Details

~ (void) hasChildren(node, children)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input